Announcement

Collapse
No announcement yet.

Version expired Edius 4.13

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Version expired Edius 4.13

    I have Edius v 4.13 installed on my computer. I have not used the program since March 2007. I've owned Edius since version 1.0 and have upgraded every time a new version is available. Tried starting the program today and got a message that "this version has already expired". There is a buy now button available. I must have spent $600-$800 on the version that I already have. Is there something else I need to do?

    Don Lamprecht
    now in Nederland, CO
    was in Anchorage, AK

  • #2
    Hi Don

    all you need to do is insert the USB dongle and all will be ok
    Anton Strauss
    Antons Video Productions - Sydney

    EDIUS X WG with BM Mini Monitor 4k and BM Mini Recorder, Gigabyte X299 UD4 Pro, Intel Core i9 9960X 16 Core, 32 Threads @ 4.3Ghz, Corsair Water Cooling, Gigabyte RTX-2070 Super 3X 8GB Video Card, Samsung 860 Pro 512GB SSD for System, 8TB Samsung Raid0 SSD for Video, 2 Pioneer BDR-209 Blu-ray/DVD burners, Hotswap Bay for 3.5" Sata and 2.5" SSD, Phanteks Enthoo Pro XL Tower, Corsair 32GB DDR4 Ram, Win10 Pro

    Comment


    • #3
      HI Don!!!

      It is wonderful to see you!! Like Anton Said, you just forgot the dongle.

      I hope you will stay around and enjoy some time with us :)


      Mike Downey

      Comment


      • #4
        I think I may have lost my dongle - didn't even remember having one for EdiusPro. Guess it got lost in the move. My ProCoder dongle made it, but doesn't seem to work. I think I'll try my luck with support - surely they will remember me. Nice to see some familiar names still on the forum.

        Comment


        • #5
          errr, sorry but if you dont have the dongle you dont have a license- whether they know you or not. Loose it- too bad I am afraid.

          There was no dongle in any version before 4x so perhaps you have never used it?

          Comment


          • #6
            I've used v 4.13, so I guess I had a dongle at one time...

            Comment


            • #7
              Not necessarily as you had 30 days to insert the "said dongle"

              Comment

              Working...
              X